package xml;

import java.sql.SQLException;
import java.util.Iterator;
import java.util.Set;

import logic.Beneficiario;
import logic.Dependente;

public class BeneficiarioXMLProc {
	Set beneficiarios;
	Set dependentes;

	public void enviarAoBD() throws SQLException{
		Iterator beneficiariosIt = beneficiarios.iterator();
		while(beneficiariosIt.hasNext()){
			Beneficiario beneficiario = (Beneficiario)beneficiariosIt.next();
			beneficiario.enviarAoBD();
		}
		Iterator dependentesIt = dependentes.iterator();
		while(dependentesIt.hasNext()){
			Dependente dependente = (Dependente)dependentesIt.next();
			dependente.enviarAoBD();
		}
	}

	public Set getBeneficiarios() { 
		return beneficiarios; 
	}

	public Set getDependentes() { 
		return dependentes; 
	}
	
	public void setBeneficiarios(Set beneficiarios) {
		this.beneficiarios = beneficiarios;
	}
	
	public void setDependentes(Set dependentes) {
		this.dependentes = dependentes;
	}
}
