package gui;

import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JButton;
import java.awt.Rectangle;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

public class RelatorioLeitura extends JFrame {
	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JButton jbtnAceitar = null;
	private JLabel jlblNomeArquivo = null;
	private JLabel jlblMenssagem = null;
	private String menssagem=null;
	private String nomeArquivo=null;

	public RelatorioLeitura(String menssagem, String nomeArquivo) {
		super();
		this.menssagem=menssagem;
		this.nomeArquivo=nomeArquivo;
		initialize();
	}

	private void initialize() {
		this.setSize(508, 200);
		this.setResizable(false);
		this.setContentPane(getJContentPane());
		this.setTitle("Relatrio da leitura");
		
	}

	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jlblMenssagem = new JLabel();
			jlblMenssagem.setBounds(new Rectangle(15, 16, 467, 29));
			jlblMenssagem.setHorizontalAlignment(SwingConstants.CENTER);
			jlblMenssagem.setText(this.menssagem);
			jlblNomeArquivo = new JLabel();
			jlblNomeArquivo.setBounds(new Rectangle(15, 61, 464, 32));
			jlblNomeArquivo.setHorizontalAlignment(SwingConstants.CENTER);
			jlblNomeArquivo.setText(this.nomeArquivo);
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getJbtnAceitar(), null);
			jContentPane.add(jlblNomeArquivo, null);
			jContentPane.add(jlblMenssagem, null);
		}
		return jContentPane;
	}

	private JButton getJbtnAceitar() {
		if (jbtnAceitar == null) {
			jbtnAceitar = new JButton();
			jbtnAceitar.setBounds(new Rectangle(195, 125, 94, 26));
			jbtnAceitar.setText("Fechar");
			jbtnAceitar.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					dispose();
				}
			});
		}
		return jbtnAceitar;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"