package logic;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Vector;

import db.BDacesso;

public class Beneficiario {
	public String cpf;
	public String nome;
	public String rg;
	public String endereco;
	public String telefone;
	
	public static Vector getBeneficiarios() {
		Vector beneficiarios = new Vector();
		BDacesso dbAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "SELECT cpf,nome,rg,endereco,telefone FROM beneficiario ORDER BY cpf";
		Statement stmt= dbAcesso.executarInstrucaoSQL(instrucaoSQL);
		
		try{
			ResultSet rs = stmt.getResultSet();
			do {
				Vector linha = new Vector();
				rs.next();
				
				linha.addElement(rs.getString("cpf"));
				linha.addElement(rs.getString("nome"));
				linha.addElement(rs.getString("rg"));
				linha.addElement(rs.getString("endereco"));
				linha.addElement(rs.getString("telefone"));
				beneficiarios.addElement(linha);
			} while(!rs.isLast());			
		} catch (SQLException se) {
			System.out.println("- Ocorreu um erro em getBeneficiarios.");
			se.printStackTrace();
			//System.exit(1);
		}	
		//dbAcesso.fecharConecao();
		return beneficiarios;
	}
		
	public void imprimeDados() {
		System.out.println("Dado: "+cpf+" "+nome+" "+rg+" "+endereco+" "+telefone);
	}

	public String getCpf() {
		return cpf;
	}
	
	protected void setCpf(String cpf) {
		this.cpf = cpf;
	}
	
	public String getNome() {
		return nome;
	}
	
	protected void setNome(String nome) {
		this.nome = nome;
	}

	public void enviarAoBD() {
		BDacesso bdAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "SELECT cpf FROM beneficiario WHERE cpf="+cpf;
		Statement stmt = bdAcesso.executarInstrucaoSQL(instrucaoSQL);
		
		try{
			ResultSet rs = stmt.getResultSet();
			rs.next();
			
			if (rs.isLast()){
				//if(this.cpf.equals(rs.getString("cpf")))
				atualizarNoBD();
			}
			else { 			
				inserirNoBD();
			}						
		} catch(SQLException se){
			System.out.println("- Ocorreu um erro enviando os dados ao banco de dados.");
			se.printStackTrace();
			//System.exit(1);
		}
	}

	private void inserirNoBD() {
		BDacesso bdAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "INSERT INTO beneficiario (cpf,nome,rg,endereco,telefone) "+
		               "VALUES("+cpf+",'"+nome+"','"+rg+"','"+endereco+"','"+telefone+"')";
		Statement stmt = bdAcesso.executarInstrucaoSQL(instrucaoSQL);		
	}

	private void atualizarNoBD() {
		BDacesso bdAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "UPDATE beneficiario SET "+
		               "nome='"+nome+"',"+
		               "rg='"+rg+"',"+
		               "endereco='"+endereco+"',"+
		               "telefone='"+telefone+"' "+
		               "WHERE cpf="+cpf;
		Statement stmt = bdAcesso.executarInstrucaoSQL(instrucaoSQL);
	}	
}