package logic;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Vector;
import db.BDacesso;

public class Servicocontrato {
	public String numerocontrato;
	public String cpfbeneficiario;
	public String codigoservico;
	
	public static Vector getServicoscontrato(String cpf, String numero) {
		Vector servicoscontrato = new Vector();
		BDacesso dbAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "SELECT  s.descricao AS nome, ts.nome AS tipo, s.valor AS valor "+
		               "FROM servico s, tipo_servico ts, servico_contrato sc "+
		               "WHERE "+
		               "ts.codigo=s.codigo_tipo_servico AND "+
		               "s.codigo=sc.codigo_servico AND "+
		               "sc.numero_contrato='"+numero+"' AND "+
		               "sc.cpf_beneficiario="+cpf+" ORDER BY nome";
		Statement stmt= dbAcesso.executarInstrucaoSQL(instrucaoSQL);
		
		try{
			ResultSet rs = stmt.getResultSet();
			do {
				Vector linha = new Vector();
				rs.next();
				
				linha.addElement(rs.getString("nome"));		
				linha.addElement(rs.getString("tipo"));
				linha.addElement(rs.getString("valor"));									
				servicoscontrato.addElement(linha);				
				
			} while(!rs.isLast());			
		} catch (SQLException se) {
			System.out.println("- Ocorreu um erro em getBeneficiarios.");
			se.printStackTrace();
			//System.exit(1);
		}	
		dbAcesso.fecharConecao();
		return servicoscontrato;
	}
		
	
	public String getNumerocontrato() {
		return numerocontrato;
	}
	protected void setNumerocontrato(String numerocontrato) {
		this.numerocontrato = numerocontrato;
	}
	
	public String getCpfbeneficiario() {
		return cpfbeneficiario;
	}
	protected void setCpfbeneficiario(String cpfbeneficiario) {
		this.cpfbeneficiario = cpfbeneficiario;
	}

	public String getCodigoservico() {
		return codigoservico;
	}
	protected void setCodigoservico(String codigoservico) {
		this.codigoservico = codigoservico;
	}
	
	public void enviarAoBD() {
		BDacesso bdAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "SELECT numero_contrato,cpf_beneficiario,codigo_servico FROM servico_contrato WHERE numero_contrato='"+numerocontrato+"' AND cpf_beneficiario="+cpfbeneficiario+" AND codigo_servico='"+codigoservico+"'";
		Statement stmt = bdAcesso.executarInstrucaoSQL(instrucaoSQL);
		
		try{
			ResultSet rs = stmt.getResultSet();
			rs.next();
			
			if (rs.isLast()){
				//if(this.cpf.equals(rs.getString("cpf")))
				atualizarNoBD();
			}
			else { 			
				inserirNoBD();
			}						
		} catch(SQLException se){
			System.out.println("- Ocorreu um erro enviando os dados ao banco de dados.");
			se.printStackTrace();
			//System.exit(1);
		}
	}

	private void inserirNoBD() {
		BDacesso bdAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "INSERT INTO servico_contrato (numero_contrato,cpf_beneficiario,codigo_servico) "+
		               "VALUES('"+numerocontrato+"',"+cpfbeneficiario+",'"+codigoservico+"')";
		Statement stmt = bdAcesso.executarInstrucaoSQL(instrucaoSQL);		
	}

	private void atualizarNoBD() {
		BDacesso bdAcesso = new BDacesso();
		String instrucaoSQL = new String();
		
		instrucaoSQL = "UPDATE servico_contrato SET "+
		   			   "numero_contrato='"+numerocontrato+"',"+
		               "cpf_beneficiario="+cpfbeneficiario+","+
		               "codigo_servico='"+codigoservico+"' "+
		               "WHERE numero_contrato='"+numerocontrato+"' AND cpf_beneficiario="+cpfbeneficiario+" AND codigo_servico='"+codigoservico+"'";
		Statement stmt = bdAcesso.executarInstrucaoSQL(instrucaoSQL);
	}	
}