package xml;

import java.sql.SQLException;
import java.util.Iterator;
import java.util.Set;

import logic.Contrato;
import logic.Servicocontrato;
import logic.Execucaoservico;

public class ContratoXMLProc {
	Set contratos;
	Set servicoscontrato;
	Set execucoesservico;

	public void enviarAoBD() throws SQLException{
		
		Iterator contratosIt = contratos.iterator();		
		while(contratosIt.hasNext()){
			Contrato contrato = (Contrato)contratosIt.next();
			contrato.enviarAoBD();
		}
		
		Iterator servicoscontratoIt = servicoscontrato.iterator();
		while(servicoscontratoIt.hasNext()){
			Servicocontrato servicocontrato = (Servicocontrato)servicoscontratoIt.next();
			servicocontrato.enviarAoBD();
		}
		
		Iterator execucoesservicoIt = execucoesservico.iterator();
		while(execucoesservicoIt.hasNext()){
			Execucaoservico execucaoservico = (Execucaoservico)execucoesservicoIt.next();
			execucaoservico.enviarAoBD();
		}
	}

	public Set getContratos() { 
		return contratos; 
	}
	public void setContratos(Set contratos) {
		this.contratos = contratos;
	}

	public Set getServicoscontrato() { 
		return servicoscontrato; 
	}
	public void setServicoscontrato(Set servicoscontrato) {
		this.servicoscontrato = servicoscontrato;
	}
	
	public Set getExecucoesservico() { 
		return execucoesservico; 
	}
	public void setExecucoesservico(Set execucoesservico) {
		this.execucoesservico = execucoesservico;
	}
}
